command.build.project:
  source: {{ path['source'] }}
  target: {{ path['target'] }}

  default_rules:
  - command: build.action.copy
  
  rules:
  - pattern: '/[.]'
    command: build.action.ignore
  - pattern: '[.]scss$'
    command: build.action.file_scss
  - pattern: '[.]js$'
    command: build.action.file_js
  - pattern: '[.]j2$'
    command: build.action.file_j2
  - pattern: '^/sitemap.xml$'
    command: build.action.sitemap

command.build.theme:
  source: {{ path['theme'] }}
  target: {{ path['target'] }}
  rules:

  - pattern: '[.]js$'
    command: build.action.file_js

  - pattern: '[.]scss$'
    command: build.action.file_scss

command.build.resources:
  source: {{ path['resources'] }}
  target: {{ path['target'] }}
  rules:

  - pattern: '[.]js$'
    command: build.action.file_js

  - pattern: '[.]scss$'
    command: build.action.file_scss

command.build.action.file_scss:
  index: index.scss
  pyscss:
    output_style: legacy